body {
    background: black;
    color: white;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    font-family: "Noto Sans";
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
}

* {
    font-family: "Noto Sans";
    user-select: none;
    -webkit-user-drag: none;
}

img {
    pointer-events: none;
}

a {
    color: #dff0ff;
    text-decoration: none;
}

.template {
    display: none !important;
}

#background {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: -1;
    background-image: url(./img/wallpapers/seaofbokeh_final_moodreceptor_green.png);
    background-size: cover;
    background-position: center;
    filter: brightness(0.5) contrast(1.2);
    transition: opacity 0.4s ease;
}

.main-section-cont {
    max-width: 600px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    transition: all 0.3s ease;
}

.main-section-cont.closed {
    transform: scale(0.5);
    opacity: 0;
}

.browser-title-header {
    height: 48px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 20px;
    transition: opacity 0.3s ease;
    line-height: 100%;
}

.browser-title-header img.icon {
    height: 48px;
    margin-right: 15px;
}

.browser-title-header span.title {
    font-weight: bold;
    text-shadow: 0px 0px 10px black, 0px 0px 10px black, 0px 0px 10px black;
    font-size: 24px;
}

.widget-row-1 {
    height: 160px;
    width: 100%;
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
}

.clock-widget {
    position: relative;
    width: 160px;
    height: 160px;
    overflow: hidden;
    padding-right: 25px;
}

.widget-row-1 .clock-widget img {
    height: 160px;
    width: 160px;
    position: absolute;
}

.widget-row-1 .weather-widget {
    width: calc(100% - 160px);
    height: 100%;
    border-image: url(./img/widgets/box-bk1.png) 30 fill stretch;
    border-style: solid;
    border-width: 15px;
    border-radius: 15px;
    backdrop-filter: blur(5px);
    box-sizing: border-box;
    position: relative;
}

.widget-row-1 .weather-widget .info {
    width: 200px;
}

.widget-row-1 .weather-widget h1,
.widget-row-1 .weather-widget h2,
.widget-row-1 .weather-widget h3 {
    margin: 0;
    line-height: 100%;
    margin-bottom: 5px;
    display: inline-block;
    display: grid;
}

.widget-row-1 .weather-widget .info,
.widget-row-1 .weather-widget img {
    transition: all 0.4s ease;
}

.widget-row-1 .weather-widget h1,
.widget-row-1 .weather-widget h2,
.widget-row-1 .weather-widget h3,
.widget-row-1 .weather-widget span {
    text-shadow: 0 0 7px black, 0 0 15px black;
}

.widget-row-1 .weather-widget .info .degrees {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    align-items: center;
    width: 210px;
}

.widget-row-1 .weather-widget .info .degrees h1 {
    grid-row: 1 / 3;
    margin: 0;
}

.widget-row-1 .weather-widget .info .degrees span {
    height: 15px;
    line-height: 100%;
}

.widget-row-1 .weather-widget .info .degrees .min {
    color: #d2f3ff;
}

.widget-row-1 .weather-widget .info .degrees .max {
    color: #ffdf8d;
}

.widget-row-1 .weather-widget h3 {
    color: gray;
    font-style: italic;
    font-weight: normal;
    font-size: 14px;
    padding-top: 12px;
}

.widget-row-1 .weather-widget img.condition-icon {
    position: absolute;
    top: 0;
    left: 170px;
    height: 100%;
    width: 200px;
    object-fit: contain;
}

.widget-row-1 .weather-widget img.provider-icon {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 24px;
    height: 24px;
}

.search-bar-cont {
    height: 48px;
    width: 100%;
    border-image: url(./img/widgets/box-bk2a.png) 5 fill stretch;
    border-style: solid;
    border-width: 5px;
    border-radius: 15px;
    box-sizing: border-box;
    display: grid;
    grid-template-columns: auto 38px;
    align-items: center;
}

.search-bar-cont img.icon {
    height: 30px;
}

.search-bar-cont input {
    font-size: 20px;
    margin-left: 8px;
    background: none;
    outline: none;
    border: none;
    color: white;
    width: 100%;
}

.search-bar-cont input::placeholder {
    font-style: italic;
}

.fadein {
    opacity: 0;
}

.app-folders {
    margin-top: 20px;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(6, 13.3%);
    justify-content: space-between;
    row-gap: 20px;
}

.app-folder {
    display: inline-block;
    width: 80px;
    cursor: pointer;
}

.app-folder .icons {
    width: 80px;
    height: 80px;
    border-image: url(./img/widgets/app-folder.png) 6 fill stretch;
    border-style: solid;
    border-width: 3px;
    border-radius: 15px;
    box-sizing: border-box;
    margin-bottom: 5px;
}

.app-folder .icons .icon {
    width: 34px;
    height: 34px;
    transform: translateX(2px) scale(0.85);
    margin-right: 3px;
}

.app-folder .label-cont {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-image: url(./img/widgets/label-cont.png) 10 fill stretch;
    border-style: solid;
    border-width: 3px;
    border-radius: 5px;
    box-sizing: border-box;
}

.app-folder .label-cont span {
    font-size: 14px;
}

.app-folder-preview-cont {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #0000008e;
    z-index: 5;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    backdrop-filter: blur(10px);
    transition: all 0.2s ease;
}

.app-folder-preview-cont .app-grid-cont {
    max-width: 730px;
    max-height: 460px;
    height: calc(100% - 70px);
    width: 100%;
    border-image: url(./img/widgets/app-folder-view.png) 15 fill stretch;
    border-style: solid;
    border-width: 8px;
    border-radius: 5px;
    box-sizing: border-box;
    padding: 15px;
}

.app-folder-preview-cont .app-grid {
    overflow-y: auto;
    max-height:100%;
}

.app-folder-preview-cont .app-grid::-webkit-scrollbar {
    display: none;
}

.app-folder-preview-cont .header {
    width: 100%;
    max-width: 730px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    margin-bottom: 20px;
}

.app-folder-preview-cont .header button {
    height: 100%;
    border-image: url(./img/widgets/label-cont.png) 10 fill stretch;
    border-style: solid;
    border-width: 5px;
    background: none;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.app-folder-preview-cont .header button img {
    height: 30px;
}

.app-folder-preview-cont span.label {
    border-image: url(./img/widgets/label-cont.png) 10 fill stretch;
    border-style: solid;
    border-width: 3px;
    border-radius: 5px;
    box-sizing: border-box;
    font-size: 30px;
    display: inline-block;
    padding: 5px 25px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 15px;
    user-select: none;
}

.app-folder-preview-cont .app-grid .app-item-cont {
    display: inline-block;
    margin-right: 13px;
    text-align: center;
}

.app-folder-preview-cont .app-grid .app-item {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 72px;
    margin-bottom: 10px;
    transition: all 0.15s ease;
    height: 115px;
}

.app-folder-preview-cont .app-grid .app-item:hover {
    filter: brightness(1.4);
}

.app-folder-preview-cont .app-grid .app-item img.icon {
    width: 72px;
    height: 72px;
    margin-bottom: 4px;
}

.app-folder-preview-cont .app-grid .app-item span.title {
    font-size: 14px;
    text-align: center;
    display: inline-block;
    height: 40px;
    width: 100%;
    text-align: center;
    overflow: auto;
}

.app-folder-preview-cont .app-grid .app-item span.title::-webkit-scrollbar {
    display: none;
}

.invisible {
    opacity: 0;
    user-select: none;
    pointer-events: none;
}

@media (max-width: 600px) {

    .weather-widget {
        display: none;
    }

    .widget-row-1 {
        justify-content: center;
    }

    .app-folders {
        grid-template-columns: repeat(4, auto);
    }

    .main-section-cont {
        width: calc(100% - 30px);
    }

    .app-folder-preview-cont .app-grid-cont {
        width: calc(100% - 30px);
    }

    .app-folder-preview-cont .app-grid {
        display: grid;
        grid-template-columns: repeat(4, 25%);
    }

    .app-folder-preview-cont .app-grid .app-item-cont {
        margin: 0;
    }

    .app-item {
        margin:0;
    }

    .widget-row-1 .clock-widget {
        padding:0;
        height:100%;
    }

    .widget-row-1 {
        height:120px;
    }

    .widget-row-1 .clock-widget img {
        height:100%;
        object-fit: contain;
    }

    .browser-title-header {
        height:30px;
    }

    .browser-title-header img.icon {
        height:30px;
    }
}
